package main

import (
	"fmt"
	"net/http"
	"sirlab.de/go/knyt/app"
	"sirlab.de/go/knyt/handler"
)

func main() {
	appConfig := app.NewAppConfig()
	App := app.NewApp(appConfig)
	App.Mux = handler.NewAuthMux()

	App.Mux.PublicHandleFunc("/__intern__/exit", handler.Exit)

	// default handler
	fsHandler := http.FileServer(http.Dir("../../client/dist/"))
	App.Mux.PublicHandle("/", fsHandler)

	// start listening
	fmt.Printf("http://localhost:%d/\n", App.Mux.Port)
	App.Mux.ListenAndServe()
}
